Skip to main content
POST
Create a role binding

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API key. Must only be used when using Hanko Cloud.

Path Parameters

org_id
string<uuid4>
required

ID of the organization

Example:

"c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c"

user_id
string<uuid4>
required

ID of the user

Example:

"c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c"

Body

application/json
role
string
required

The ID or slug of the role to bind

Response

The new role binding

A role held by a user within one organization.

role_id
string<uuid4>
required

The ID of the role

Example:

"c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c"

slug
string
required

The slug of the role

name
string
required

The display name of the role

created_at
string<date-time>
required

Time the role was bound to the user